Skip to main content
GET
Read Checkout Link

Authorizations

Authorization
string
header
required

Authentication: You can generate a Personal Access Token from your settings.

Path Parameters

id
string<uuid4>
required

Identifier of the checkout link.

Response

Request completed successfully

Checkout link data.

id
string<uuid4>
required

The stable identifier for this record.

created_at
string<date-time>
required

The time Ruba created this record.

modified_at
string<date-time> | null
required

The time this record last changed.

trial_interval
enum<string> | null
required

Unit used to measure the trial period.

Available options:
day,
week,
month,
year
trial_interval_count
integer | null
required

Length of the trial measured in the selected interval.

metadata
object
required
payment_processor
enum<string>
required

Payment Processor: Payment processor used.

Available options:
stripe
client_secret
string
required

Client Secret: Client secret used to access the checkout link.

success_url
string | null
required

Success Url: URL where the customer will be redirected after a successful payment.

return_url
string | null
required

If provided, a back button will be shown in the checkout to return to this URL.

label
string | null
required

Label: Optional label to distinguish links internally.

allow_discount_codes
boolean
required

Indicates whether to allow the customer to apply discount codes. If you apply a discount through discount_id, it'll still be applied, but the customer won't be able to change it.

require_billing_address
boolean
required

Indicates whether to require the customer to fill their full billing address, instead of just the country. Customers in the US will always be required to fill their full address, regardless of this setting.

discount_id
string<uuid4> | null
required

Identifier of the discount to apply to the checkout. If the discount is not applicable anymore when opening the checkout link, it'll be ignored.

seats
integer | null
required

Seats: Seat quantity locked into this checkout link. Every linked product must support seat pricing and accept the specified quantity. Ruba ignores the value if a product's configuration no longer supports it when checkout begins.

organization_id
string<uuid4>
required

Identifier of the organization.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

products
CheckoutLinkProduct · object[]
required
discount
DiscountFixedOnceForeverDurationBase · object
required
url
string
required
read-only